#
# spec file for package unico
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _version 1.0.3+14.04.20140109
Name:           unico
Version:        1.0.3+bzr20140109
Release:        6.1
Summary:        Gtk3 theming engine
License:        LGPL-2.1+
Group:          System/GUI/GNOME
Url:            http://launchpad.net/unico
Source:         http://archive.ubuntu.com/ubuntu/pool/main/u/%{name}/%{name}_%{_version}.orig.tar.gz
BuildRequires:  gnome-common
BuildRequires:  pkgconfig(cairo) >= 1.10
BuildRequires:  pkgconfig(glib-2.0) >= 2.26.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.5.2

%description
Unico is a GTK+ engine that aims to be the more complete yet
powerful theming engine for Gtk3. It’s the first Gtk+ engine
written with Gtk+ style context APIs in mind, using CSS as first
class citizen.

%package -n gtk3-engine-unico
Summary:        Gtk3 theming engine
Group:          System/GUI/GNOME

%description -n gtk3-engine-unico
Unico is a GTK+ engine that aims to be the more complete yet
powerful theming engine for Gtk3. It’s the first Gtk+ engine
written with Gtk+ style context APIs in mind, using CSS as first
class citizen.

%prep
%setup -q -n %{name}-%{_version}

%build
gnome-autogen.sh
%configure \
  --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%files -n gtk3-engine-unico
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_libdir}/gtk-3.0/*/theming-engines/libunico.so

%changelog
* Sun Mar 15 2015 sor.alexei@meowr.ru
- Proper spec cleanup.
* Tue Apr  1 2014 sor.alexei@meowr.ru
- Upgrade unico from Ubuntu repository.
- unico-bnc813150-gtk-theming-engine-crash.patch and
  unico-fix-render-focus.patch had been dropped because of a major
  release upgrade.
* Sun Dec 22 2013 zaitor@opensuse.org
- Add unico-fix-render-focus.patch, fix render focus and remove
  some unused code.
* Wed Apr  3 2013 glin@suse.com
- Add unico-bnc813150-gtk-theming-engine-crash.patch fix crash on
  gtk-theming-engine (bnc#813150,lp#1000545).
- Add gnome-common BuildRequires and call to autogen.sh, as above
  patch touches the build system.
* Fri Mar 30 2012 vuntz@opensuse.org
- Update to version 1.0.2:
  + Updated to work with Gtk+ 3.4.0.
  + Fixed one memory leak.
  + Allow using a texture for the resize grip.
- Add explicit pkgconfig(cairo) and pkgconfig(glib-2.0)
  BuildRequires so they can be versioned.
* Sun Oct  9 2011 nmarques@opensuse.org
- Updated license and small tweaks.
* Mon Sep 19 2011 nmarques@opensuse.org
- Packaged from release 1.0.1.
